// PCSCDemoDlg.h : header file
//

#if !defined(AFX_PCSCDEMODLG_H__F8B02F1F_388B_47D5_9EC4_8B92643931C5__INCLUDED_)
#define AFX_PCSCDEMODLG_H__F8B02F1F_388B_47D5_9EC4_8B92643931C5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPCSCDemoDlg dialog

class CPCSCDemoDlg : public CDialog
{
// Construction
public:
	BOOL m_bM1CardActiveFlag;
	CPCSCDemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPCSCDemoDlg)
	enum { IDD = IDD_PCSCDEMO_DIALOG };
	CComboBox	m_M1Block;
	CStatic	m_Status;
	CHexEdit	m_M1Data;
	CHexEdit	m_M1Key;
	CHexEdit	m_M1UID;
	CComboBox	m_CBReader;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPCSCDemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPCSCDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtUpdata();
	afx_msg void OnBtConnect();
	afx_msg void OnBtM1Search();
	afx_msg void OnBtM1Read();
	afx_msg void OnBtM1Write();
	afx_msg void OnBtM1Halt();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PCSCDEMODLG_H__F8B02F1F_388B_47D5_9EC4_8B92643931C5__INCLUDED_)
